Name:           xbae
Version:        4.60.4
Release:    1%{?dist}
Summary:        Motif matrix, caption and text input widgets
License:        LGPL-2.0-or-later
URL:            http://xbae.sourceforge.net/
Source0:        http://downloads.sourceforge.net/xbae/xbae-%{version}.tar.gz
Patch0:         xbae-link_Mri_with_lXmp.diff
Patch1:         xbae-4.60.4-multilib.patch
Patch2: xbae-configure-c99.patch

BuildRequires: make
BuildRequires:  gcc
BuildRequires:  libXpm-devel 
BuildRequires:  libXmu-devel

%if 0%{?rhel}
BuildRequires:  openmotif-devel
%else
BuildRequires:  motif-devel
%endif

Provides:       Xbae = %{version}-%{release}


%description
XbaeMatrix is a free Motif(R) table widget (also compatible with the free 
LessTif) which presents an editable array of string data to the user in a 
scrollable table similar to a spreadsheet. The rows and columns of the Matrix 
may optionally be labelled. A number of "fixed" and "trailing fixed" rows 
or columns may be specified.

The XbaeCaption widget is a simple Motif manager widget that associates 
a label with a child.

In addition the XbaeInput widget is being distributed, a text input field 
that provides generic customised data entry and formatting for strings.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
%if 0%{?rhel}
Requires:       openmotif-devel 
%else
Requires:       motif-devel
%endif
Requires:       libXpm-devel
Requires:       automake
Provides:       Xbae-devel = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .multilib
%patch2 -p1

for file in COPYING ChangeLog NEWS; do
 iconv -f latin1 -t utf8 < $file > $file.utf8
 touch -c -r $file $file.utf8
 mv $file.utf8 $file
done


%build
%configure --disable-static --disable-dependency-tracking
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} mandir=%{_mandir} INSTALL='install -p'
pushd src
for file in XbaeCaption.3 XbaeInput.3 XbaeMatrix.3; do
  touch -r $file.in %{buildroot}%{_mandir}/man3/$file
done
popd
touch -r NEWS %{buildroot}%{_includedir}/Xbae/patchlevel.h

install -d -m755 %{buildroot}%{_datadir}/aclocal
install -p -m644 ac_find_xbae.m4 %{buildroot}%{_datadir}/aclocal

rm %{buildroot}%{_libdir}/libXbae.la

rm -rf __dist_Xbae-docs
mv %{buildroot}%{_datadir}/Xbae/ __dist_Xbae-docs
rm __dist_Xbae-docs/README
rm __dist_Xbae-docs/NEWS
mv __dist_Xbae-docs/examples/builderXcessory __dist_Xbae-docs/examples/builderXcessory-%{_arch}

rm -rf __dist_examples
cp -pr examples __dist_examples
make -C __dist_examples clean
find __dist_examples -name '*akefile*' -exec rm {} \;
rm __dist_examples/extest
rm __dist_examples/testall

for file in __dist_examples/*/*.c __dist_examples/README; do
 iconv -f latin1 -t utf8 < $file > $file.utf8
 touch -c -r $file $file.utf8
 mv $file.utf8 $file
done

mv __dist_examples/builderXcessory/README __dist_Xbae-docs/examples/builderXcessory-%{_arch}/
rm -rf __dist_examples/builderXcessory/
ln -s ../examples/builderXcessory-%{_arch}/ __dist_examples/builderXcessory-%{_arch}

rm -rf __dist_code_examples
mkdir __dist_code_examples
mv __dist_examples __dist_code_examples/code_examples





%files
%doc AUTHORS ChangeLog NEWS COPYING README
%{_libdir}/libXbae.so.*

%files devel
%doc __dist_Xbae-docs/* __dist_code_examples/code_examples
%{_includedir}/Xbae/
%{_libdir}/libXbae.so
%{_mandir}/man*/Xbae*
%{_datadir}/aclocal/*


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.60.4-1
- initial build
